Bug 1586186 - [RFE][XS-2] Include table exclusions for database dumps in appliance_console menu
Summary: [RFE][XS-2] Include table exclusions for database dumps in appliance_console ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: MVP
: 5.10.0
Assignee: Nick LaMuro
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks: 1555371 1597415
TreeView+ depends on / blocked
 
Reported: 2018-06-05 16:30 UTC by Nick LaMuro
Modified: 2019-02-07 23:03 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:00 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:08 UTC

Description Nick LaMuro 2018-06-05 16:30:06 UTC

Comment 3 Dave Johnson 2018-06-05 16:43:11 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 Nick LaMuro 2018-06-05 22:45:47 UTC
Patch to provide this feature:

https://github.com/ManageIQ/manageiq-appliance_console/pull/47

Comment 6 Nick LaMuro 2018-06-07 22:15:26 UTC
The above has now been merged.  Moving to POST.

Comment 11 Nick LaMuro 2018-08-01 19:24:58 UTC
Update:

I have added a bugfix PR since the previous round of merges:

https://github.com/ManageIQ/manageiq-appliance_console/pull/51

Which fixes some major usability flaws with the initial implementation which were not caught in tests or code review (tests have been updated to catch this better going forward).


-Nick

Comment 13 CFME Bot 2018-08-06 19:57:06 UTC
New commit detected on ManageIQ/manageiq-appliance/master:

https://github.com/ManageIQ/manageiq-appliance/commit/8aba2f893cfbe878eea55c1da0de0b98f60024ab
commit 8aba2f893cfbe878eea55c1da0de0b98f60024ab
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed Aug  1 16:53:52 2018 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Wed Aug  1 16:53:52 2018 -0400

    Bump versions of the console and HA admin gem

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1544854
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1418080
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1535345
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1586186

    https://www.pivotaltracker.com/story/show/135779733
    https://www.pivotaltracker.com/story/show/141523501
    https://www.pivotaltracker.com/story/show/121849185

 manageiq-appliance-dependencies.rb | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 14 Jaroslav Henner 2018-10-10 11:14:16 UTC
I can't see the option to create DB backup in the appliance_console menu:

Advanced Setting

1) Configure Network
2) Set Timezone
3) Set Date and Time
4) Restore Database From Backup
5) Configure Database
6) Configure Database Replication
7) Logfile Configuration
8) Configure Application Database Failover Monitor
9) Extend Temporary Storage
10) Configure External Authentication (httpd)
11) Update External Authentication Options
12) Generate Custom Encryption Key
13) Harden Appliance Using SCAP Configuration
14) Stop EVM Server Processes
15) Start EVM Server Processes
16) Restart Appliance
17) Shut Down Appliance
18) Summary Information
19) Quit

[----] I, [2018-10-10T07:00:56.728613 #1939:868f80]  INFO -- : Version: 5.10.0.19
[----] I, [2018-10-10T07:00:56.729193 #1939:868f80]  INFO -- : Build:   20181009184346_1c8bf5d

Comment 15 Nick LaMuro 2018-10-29 23:10:28 UTC
The following comments in a related ticket:

https://bugzilla.redhat.com/show_bug.cgi?id=1535345#c33
https://bugzilla.redhat.com/show_bug.cgi?id=1535345#c34

Should cover the issue described above.  Will continue updates over in that ticket, and will update this one when the issue for that has been identified and/or resolved.

Comment 16 Nick LaMuro 2018-10-29 23:36:17 UTC
Just did some verification here:

https://bugzilla.redhat.com/show_bug.cgi?id=1535345#c35

So please re-test and let me know if there are any other issues.


Thanks,
-Nick

Comment 19 errata-xmlrpc 2019-02-07 23:03:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.